BaseDto (scheduler-portlet 2.0.1-SNAPSHOT API)
Date: 2013-10-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.portlets.user.shared.obj
Class BaseDto

    java.lang.Object
      org.gcube.datatransfer.portlets.user.shared.obj.BaseDto

All Implemented Interfaces:
  com.kfuntak.gwt.json.serialization.client.JsonSerializable, com.sencha.gxt.data.shared.TreeStore.TreeNode<BaseDto>

Direct Known Subclasses:
  FolderDto

    public class BaseDto

extends Object
implements com.kfuntak.gwt.json.serialization.client.JsonSerializable, com.sencha.gxt.data.shared.TreeStore.TreeNode<BaseDto>

Constructor Summary
`BaseDto()`
`BaseDto(Integer id, String name)`

Method Summary
`static com.kfuntak.gwt.json.serialization.client.Serializer` | `createSerializer()`
`List<? extends com.sencha.gxt.data.shared.TreeStore.TreeNode<BaseDto>>` | `getChildren()`
`BaseDto` | `getData()`
`int` | `getId()`
`String` | `getIdInWorkspace()`
`String` | `getLink()`
`String` | `getName()`
`String` | `getParentIdInWorkspace()`
`String` | `getShortname()`
`void` | `setId(int id)`
`void` | `setIdInWorkspace(String idInWorkspace)`
`void` | `setLink(String link)`
`void` | `setName(String name)`
`void` | `setParentIdInWorkspace(String parentIdInWorkspace)`
`void` | `setShortname(String shortname)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BaseDto

    public BaseDto()

### BaseDto

    public BaseDto(Integer id,
                   String name)

Method Detail

### createSerializer

    public static com.kfuntak.gwt.json.serialization.client.Serializer createSerializer()

### getId

    public int getId()

### setId

    public void setId(int id)

### getName

    public String getName()

### setName

    public void setName(String name)

### getShortname

    public String getShortname()

### setShortname

    public void setShortname(String shortname)

### getData

    public BaseDto getData()

  Specified by:
    `getData` in interface `com.sencha.gxt.data.shared.TreeStore.TreeNode<BaseDto>`

### getChildren

    public List<? extends com.sencha.gxt.data.shared.TreeStore.TreeNode<BaseDto>> getChildren()

  Specified by:
    `getChildren` in interface `com.sencha.gxt.data.shared.TreeStore.TreeNode<BaseDto>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getIdInWorkspace

    public String getIdInWorkspace()

### setIdInWorkspace

    public void setIdInWorkspace(String idInWorkspace)

### getLink

    public String getLink()

### setLink

    public void setLink(String link)

### getParentIdInWorkspace

    public String getParentIdInWorkspace()

### setParentIdInWorkspace

    public void setParentIdInWorkspace(String parentIdInWorkspace)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.